Bug 304051

Summary: [PATCH] compiz fails to redraw gnome-terminal
Product: [Fedora] Fedora Reporter: Warren Togami <wtogami>
Component: compizAssignee: Kristian Høgsberg <krh>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: behdad, tjb
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-10-10 14:16:06 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 235704    

Description Warren Togami 2007-09-24 16:59:03 EDT
compiz fails to redraw gnome-terminal under certain circumstances, making it
very annoying to use gnome-terminal in compiz.

Example #1
==========
1) gnome-terminal
2) maximize window
3) Screen is blank until you force it to redraw with ALT-TAB twice.

Example #2
===========
1) gnome-terminal
2) Maximize window, ALT-TAB twice
3) New tab twice
4) exit
5) exit
6) Failed to redraw back to a single tab.
Comment 1 Thomas J. Baker 2007-09-26 10:30:52 EDT
I'm seeing this also with both intel and nvidia hardware. With intel hardware,
toggle_maximize full, horizontal, or vertical causes the redraw problem (I only
use toggles, haven't tried with just regular maximizes). With nvidia, only max
and horizontal cause the problem, though vertically unmaximizing causes a blank
window until a character is typed. Current compiz-0.5.2-12.6b86f3.fc8.x86_64
installed.
Comment 2 Warren Togami 2007-10-02 11:44:05 EDT
Confirmed, if I make gnome-terminal the size of the screen without using
maximize, then I workaround this problem.
Comment 3 Thomas J. Baker 2007-10-02 15:41:54 EDT
Seems like there is a patch in git for this problem in this thread:

http://lists.freedesktop.org/archives/compiz/2007-October/002698.html
Comment 4 Warren Togami 2007-10-02 17:31:38 EDT
http://gitweb.opencompositing.org/?p=compiz;a=commit;h=d301a011471469fea70f3d3d519ed47ead1f8e22
I tried this patch and it solves my problem!
Comment 5 Warren Togami 2007-10-10 14:16:06 EDT
Oops.